Remove external account
curl --request DELETE \
--url https://api.natural.com/external-accounts/{externalAccountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.natural.com/external-accounts/{externalAccountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.natural.com/external-accounts/{externalAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "externalAccount",
"id": "eac_550e8400e29b41d4a716446655440000",
"attributes": {
"bankName": "Chase",
"accountName": "Business Checking",
"accountType": "checking",
"lastFour": "6789",
"status": "disabled",
"connectionStatus": "active",
"availableMethods": [
"standard"
],
"createdAt": "2026-01-04T15:30:00Z",
"tags": {
"environment": "production"
}
},
"relationships": {
"party": {
"data": {
"type": "party",
"id": "pty_7c9e6679e29b41d4a716446655440001"
}
}
}
},
"meta": {
"deleted": true
}
}{
"errors": [
{
"code": "invalid_value",
"detail": "The information you entered isn't valid. Please check it and try again.",
"status": "400",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "unauthenticated",
"detail": "Authentication is required.",
"status": "401",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "forbidden",
"detail": "You do not have permission to perform this action.",
"status": "403",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_found",
"detail": "The requested resource was not found.",
"status": "404",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "conflict",
"detail": "The request conflicts with the current resource state.",
"status": "409",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "invalid_value",
"detail": "The information you entered isn't valid. Please check it and try again.",
"status": "422",
"source": {
"pointer": "/data/attributes/email"
},
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "mfa_required",
"detail": "MFA verification required",
"status": "428",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "rate_limited",
"detail": "Too many requests. Please try again later.",
"status": "429",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "server_error",
"detail": "Something went wrong.",
"status": "500",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_implemented",
"detail": "This operation is not available.",
"status": "501",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "bad_gateway",
"detail": "We couldn't complete that request because one of Natural's services returned an unexpected response. Please try again.",
"status": "502",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "service_unavailable",
"detail": "The service is temporarily unavailable.",
"status": "503",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}External Accounts
Remove external account
Remove a linked external account
DELETE
/
external-accounts
/
{externalAccountId}
Remove external account
Authorizations
Bearer authentication: send your API key, agent key, or OAuth access token as Authorization: Bearer <credential>.
Headers
Deprecated: agent identity comes from the credential. Sending this header with a party API key or user credential returns 403 agent_credential_required.
Maximum string length:
36Pattern:
^agt_[0-9a-f]{32}$Caller-chosen identifier for the agent run, session, or conversation, required when an agent moves money.
Maximum string length:
1024Path Parameters
External account ID (eac_*).
Pattern:
^eac_[0-9a-f]{32}$Was this page helpful?
⌘I